package com.platform.utils;

import org.apache.log4j.Logger;

import com.base.Custom4exception;

/** 立即查询 volume一次
 * @author chen
 *
 */
public class ThreadVolumeImm extends Thread{
	public final static Logger log = Logger.getLogger(ThreadVolume.class);
	
	public ThreadVolumeImm() {
	}
	
	public ThreadVolumeImm(String name) {
		setName(name);
	}
	
	@Override
	public void run() {
		try {
			new GetVolumeInfo().getVolumeMsg();
		} catch (Exception e) {
			log.error(Custom4exception.threadVolume_Thread_Except, e);
		}
	}

}
